const url = 'https://example.com/api/v0/pipeline/list';const options = {method: 'POST', headers: {'X-Tenzir-Token': '<X-Tenzir-Token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v0/pipeline/list \ --header 'X-Tenzir-Token: <X-Tenzir-Token>'Lists all visible pipelines.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”The pipeline list.
An array of all pipelines.
object
object
The pipeline id.
The human-readable name of the pipeline.
The pipeline definition.
A flag specifying whether this pipeline is unstoppable. Unstoppable pipelines start automatically, fail when they complete, and can not be paused or stopped manually.
Whether this pipeline is hidden. Hidden pipelines are only available through the show pipelines operator.
The Unix timestamp of the pipeline creation time in nanoseconds.
The Unix timestamp of the last pipeline modification in nanoseconds.
If the pipeline has been started, the ISO 8601 timestamp of the most recent start.
The total amount of runs this pipeline has attempted so far.
The error that the pipeline may have encountered during running.
object
object
A potentially empty label.
A region in the source code, defined by byte offsets.
object
object
The user-provided labels for this pipeline.
object
The pipeline label text.
The pipeline label color.
A duration string specifying the minimum time between automatic restarts of a pipeline when an error occurs. Takes no effect if restarting on failure is disabled.
Flags that specify on which state to restart the pipeline.
object
Autostart the pipeline upon creation.
Autostart the pipeline upon completion.
Autostart the pipeline upon failure.
Flags that specify on which state to delete the pipeline.
object
Autodelete the pipeline upon completion.
Autodelete the pipeline upon failure.
Autodelete the pipeline when it stops before completing.
If a TTL exists for this pipeline, the TTL as a duration string.
If a TTL exists for this pipeline, the remaining TTL as a duration string.
Example
{ "pipelines": [ { "id": "4c7f2b11-6169-4d1b-89b4-4fc0a68b3d4a", "name": "user-assigned-name", "definition": "export | where foo | publish /bar", "hidden": false, "created_at": 1706180157837037600, "last_modified": 1706180157837038000, "state": "running", "error": null, "diagnostics": [] }, { "id": "08446737-da9b-4787-8599-97d85c48c3bb", "name": "wrong-pipeline", "definition": "export asdf", "hidden": false, "created_at": 1706180157837037600, "last_modified": 1706180157837038000, "state": "failed", "error": "format 'asdf' not found", "diagnostics": [] } ]}Invalid arguments.
object
The error message.
Example
{ "error": "Invalid arguments"}